Index: proxychains/proxychains/core.c
===================================================================
--- proxychains.orig/proxychains/core.c	2014-08-27 20:21:44.371313301 -0400
+++ proxychains/proxychains/core.c	2014-08-27 20:25:22.183316371 -0400
@@ -717,9 +717,16 @@
 	(*res)->ai_canonname = addr_name;
 	(*res)->ai_next = NULL;
 	(*res)->ai_family = sockaddr_space->sa_family = AF_INET;
-	(*res)->ai_socktype = hints->ai_socktype;
-	(*res)->ai_flags = hints->ai_flags;
-	(*res)->ai_protocol = hints->ai_protocol;
+        if (hints != NULL) {
+            (*res)->ai_socktype = hints->ai_socktype;
+            (*res)->ai_flags = hints->ai_flags;
+            (*res)->ai_protocol = hints->ai_protocol;
+        } else {
+            (*res)->ai_socktype = 0;
+            (*res)->ai_flags = 0;
+            (*res)->ai_protocol = 0;
+        }
+
 	(*res)->ai_addrlen = sizeof(*sockaddr_space);
 	goto out;
 err3:
